Get Webhooks

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
GET /staff/v1/businessLocations/{businessLocationId}/webhooks

Path parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

Responses

  • 200 application/json

    Webhooks Returned

    Hide response attributes Show response attributes object
    • uuid string(uuid)

      The unique identifier for the webhook.

    • notificationType string

      The type of webhook notification.

      Values are shift.created, shift.updated, or shift.deleted.

    • url string

      The URL for the webhook.

    • webhookName string

      The name for the webhook.

    • businessLocationId integer(int64)

      The unique identifier for the business location.

    • createdAt string(date-time)

      The creation time of the webhook.

    • updatedAt string(date-time)

      The last update time of the webhook.

GET /staff/v1/businessLocations/{businessLocationId}/webhooks
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/staff/v1/businessLocations/{businessLocationId}/webhooks' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "uuid": "e95c2cc5-4489-4025-a7e2-a34faeaa5f9d",
    "notificationType": "shift.created",
    "url": "string",
    "webhookName": "My Awesome Webhook",
    "businessLocationId": 1234567890,
    "createdAt": "2026-05-04T09:42:00Z",
    "updatedAt": "2026-05-04T09:42:00Z"
  }
]